Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::views::split_when_base_fn Struct Reference
Inheritance diagram for ranges::views::split_when_base_fn:

## Public Member Functions
template<typename Rng , typename Fun >
split_when_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun) const
template<typename Rng , typename Fun >
split_when_view< all_t< Rng >, predicate_pred_< Fun > > | operator() (Rng &&rng, Fun fun) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Rng , typename Fun >

split_when_view<all_t<Rng>, Fun> ranges::views::split_when_base_fn::operator() | ( | Rng && | rng,
|  | Fun | fun
| ) |  | const

Precondition
  requires `viewable_range<Rng> && forward_range<Rng> && invocable<Fun &, iterator_t<Rng>, sentinel_t<Rng>> && invocable<Fun &, iterator_t<Rng>, iterator_t<Rng>> && copy_constructible<Fun> && convertible_to< invoke_result_t<Fun &, iterator_t<Rng>, sentinel_t<Rng>>, std::pair<bool, iterator_t<Rng>>>`

## ◆ operator()() [2/2]

template<typename Rng , typename Fun >

split_when_view<all_t<Rng>, predicate_pred_<Fun> > ranges::views::split_when_base_fn::operator() | ( | Rng && | rng,
|  | Fun | fun
| ) |  | const

Precondition
  requires `viewable_range<Rng> && forward_range<Rng> && predicate<Fun const &, range_reference_t<Rng>> && copy_constructible<Fun>`